#pragma once
#include "user.h"
#include "item.h"

class Repository{
    private:
        std::vector<User> _users;
        std::vector<Item> _items;
    public:
        Repository();
        ~Repository();
        std::vector<User> users();
        std::vector<Item> items();
        void add_item(Item item);
        Item& find_item(std::string name);
        void read_from_file();
        void write_to_file();
};